Subject: Re: [BEHAVE] I-D Action:draft-ietf-behave-v4v6-bih-00.txt

From: Hui Deng <[email-masked]>
Date: Tue, 2 Nov 2010 17:21:34 +0800

Hello all

I would suggest to follow Jari's recommendation

"So please make sure that the draft focuses on the case where an IPv4-only
application wants to contact an IPv6-only server, and put all other cases
out of scope. Including "IPv6-only network"."

In this case, the text could be:

"Bump-In-the Host may be used when an IPv4-only application needs to
communicate with a server the host can only reach via IPv6. Other cases are
out of the scope of this document. "

Jari also recommend

"Draft-arkko-ipv6-transition-guidelines has a little bit text about this,
and I could add more, or we could develop an entirely new document about
that topic."

We will contribute the text to Jari's draft or write a new document on this.

Hope everybody will be fine with this.
Best regards,

-Hui

2010/10/30 Jan Melen <[email-masked]>

> Hi Teemu and Julien,
>
> Sorry from my side that I have been tuned off from the discussion for a
> while...
>
> On Oct 29, 2010, at 10:29 PM, Laganier, Julien wrote:
>
> > [email-masked] wrote:
> >>
> >>> *  Bump-In-the-Host is to be used when an IPv4 application needs to
> >>> *  communicate with an IPv6 server. Bump-In-the-Host SHOULD not be used
> >>> *  network-side IP translation (e.g., NAT64) when the server has IPv4
> >>> *  connectivity because it implies double translation.
> >>
> >> Julien, is the above text your propose one that from your point of view
> >> covers this idea? I mean based on that, it is technically ok to use BIH
> >> when the server is dual-stacked, if just the packet is not translated
> >> again to IPv4, but transported as IPv6 to the server?
> >>
> >> From my point of view the mere existence of an IPv4 address on a dual-
> >> stack server does not imply double translation - how could it? The BIH
> >> host emits IPv6 packet with global source and destination addresses -
> >> it does not even traverse through protocol translator.
> >
> > Hmm... Maybe I got confused. My only point is that I want this
> specification
> > to recommend against combining the technology therein described with
> NAT64, as
> > had been and still is being proposed outside the IETF.
> >
> > So about this:
> >
> > *  Bump-In-the-Host is to be used when an IPv4 application needs to
> > *  communicate with an IPv6 server. Bump-In-the-Host SHOULD not be used
> > *  together with network-side IP translation (e.g., NAT64.)
> >
> > ?
>
> I agree with Julien that we need to be very clear on what we are
> recommending both for and against. Maybe this has not been the way we have
> worked earlier (personally I would disagree with that statement) but it is
> really what the outside world looks for. There is a real need for somebody
> to say that this thing X is good for this but if you use with this there
> will be problems. Certainly, there still will be people who will do anyhow
> against the recommendations but as majority still would like to be good
> citizens I think it is worthwhile giving them good guidance rather than
> opposite. So I'm in favor putting a clear statement as Julien suggests.
>
>   Regards,
>     Jan
>
>
>

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 3 Nov 2010 19:53:24 -0700

Hi,

Hui Deng wrote:
> "So please make sure that the draft focuses on the case where an 
> IPv4-only application wants to contact an IPv6-only server, and put 
> all other cases out of scope. Including "IPv6-only network"."
>  
> communicate with a server the host can only reach via IPv6. Other
> cases are out of the scope of this document. " 
>  
> Jari also recommend
> "Draft-arkko-ipv6-transition-guidelines has a little bit text about
> this, and I could add more, or we could develop an entirely new 
> document about that topic."

As I said already, I'd like this specification to recommend against combining
the technology therein described with NAT64: 

  Bump-In-the-Host is to be used when an IPv4 application needs to
  communicate with an IPv6-only server. Bump-In-the-Host SHOULD not be used
  together with network-side IP translation (e.g., NAT64.) Other cases are
  out of the scope of this document.

--julien